> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evermind.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Documents

> Paginated document listing.



## OpenAPI

````yaml /api-reference/openapi-oss.json get /api/v1/knowledge/documents
openapi: 3.1.0
info:
  title: everos
  description: md-first memory extraction framework
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/knowledge/documents:
    get:
      tags:
        - knowledge
      summary: List Documents
      description: Paginated document listing.
      operationId: list_documents_route_api_v1_knowledge_documents_get
      parameters:
        - name: app_id
          in: query
          required: false
          schema:
            type: string
            title: App Id
            default: default
        - name: project_id
          in: query
          required: false
          schema:
            type: string
            title: Project Id
            default: default
        - name: category_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Category Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            title: Page
            default: 1
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            title: Page Size
            default: 20
        - name: sort_by
          in: query
          required: false
          schema:
            enum:
              - created_at
              - updated_at
              - title
            type: string
            default: created_at
            title: Sort By
        - name: sort_order
          in: query
          required: false
          schema:
            type: string
            enum:
              - asc
              - desc
            title: Sort Order
            default: desc
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessEnvelope_DocumentListResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SuccessEnvelope_DocumentListResponse_:
      properties:
        request_id:
          type: string
          title: Request Id
        data:
          $ref: '#/components/schemas/DocumentListResponse'
      type: object
      required:
        - request_id
        - data
      title: SuccessEnvelope[DocumentListResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DocumentListResponse:
      properties:
        documents:
          items:
            $ref: '#/components/schemas/DocumentOverviewItemDTO'
          type: array
          title: Documents
        total:
          type: integer
          title: Total
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
      type: object
      required:
        - documents
        - total
        - page
        - page_size
      title: DocumentListResponse
      description: Response for GET /documents.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    DocumentOverviewItemDTO:
      properties:
        doc_id:
          type: string
          title: Doc Id
        category_id:
          type: string
          title: Category Id
        title:
          type: string
          title: Title
        topic_count:
          type: integer
          title: Topic Count
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - doc_id
        - category_id
        - title
        - topic_count
        - created_at
      title: DocumentOverviewItemDTO
      description: One row in the paginated document list.

````